<?php

add_theme_support( 'post-thumbnails' ); 

include_once( $dir . 'inc/meta_box.php' );



function mt_testimonialssettings_admin_menu_setup(){
add_submenu_page(
 'edit.php?post_type=testimonial',
 __('Testimonial Slug Option', 'mttestimonials'),
 __('Testimonial Slug Option', 'mttestimonials'),
 'manage_options',
 'mt_testimonialssettings',
 'mt_testimonialssettings_admin_page_screen'
 );
}
add_action('admin_menu', 'mt_testimonialssettings_admin_menu_setup'); //menu setup

/* display page content */
function mt_testimonialssettings_admin_page_screen() {
 global $submenu;
// access page settings 
 $page_data = array();
 foreach($submenu['options-general.php'] as $i => $menu_item) {
 if($submenu['options-general.php'][$i][2] == 'mt_testimonialssettings')
 $page_data = $submenu['options-general.php'][$i];
 }

// output 
?>
<div class="wrap">
<style>
#mt_testimonialssettings_options .form-table th {
display: none;
}
#mt_testimonialssettings_options label {
    cursor: pointer;
    display: block;
    float: left;
    width: 25%;
}
</style>


<?php screen_icon();?>
<h2><?php _e('Testimonials Settings', 'mttestimonials');?></h2>
<form id="mt_testimonialssettings_options" action="options.php" method="post">
<?php
settings_fields('mt_testimonialssettings_options');
do_settings_sections('mt_testimonialssettings'); 
submit_button('Save options', 'primary', 'mt_testimonialssettings_options_submit');
?>
 </form>
</div>
<?php
}


function mt_testimonialssettings_settings_init(){

register_setting(
 'mt_testimonialssettings_options',
 'mt_testimonialssettings_options',
 'mt_testimonialssettings_options_validate'
 );

add_settings_section(
 'mt_testimonialssettings_mttestimonialsslugbox',
 '', 
 'mt_testimonialssettings_mttestimonialsslugbox_desc',
 'mt_testimonialssettings'
 );

add_settings_field(
 'mt_testimonialssettings_mttestimonialsslugbox_template',
 '', 
 'mt_testimonialssettings_mttestimonialsslugbox_field',
 'mt_testimonialssettings',
 'mt_testimonialssettings_mttestimonialsslugbox'
 );
    
add_settings_field(
 'mt_testimonialssettings_mttestimonialsslugbox_template2',
 '', 
 'mt_testimonialssettings_mttestimonialsslugbox_field2',
 'mt_testimonialssettings',
 'mt_testimonialssettings_mttestimonialsslugbox2'
 );
    
}

add_action('admin_init', 'mt_testimonialssettings_settings_init');

/* validate input */
function mt_testimonialssettings_options_validate($input){
 global $allowedposttags, $allowedrichhtml;
if(isset($input['mttestimonialsslugbox_template']))
 $input['mttestimonialsslugbox_template'] = wp_kses_post($input['mttestimonialsslugbox_template']);
 $input['mttestimonialsslugbox_template2'] = wp_kses_post($input['mttestimonialsslugbox_template2']);
return $input;
}

/* description text */
function mt_testimonialssettings_mttestimonialsslugbox_desc(){
_e('The default slug name is testimonial. You can enter in any name for testimonial slug in the field below.', 'mttestimonials');
}

/* filed output */
function mt_testimonialssettings_mttestimonialsslugbox_field() { 
 $options = get_option('mt_testimonialssettings_options');
 $mttestimonialsslugbox = (isset($options['mttestimonialsslugbox_template'])) ? $options['mttestimonialsslugbox_template'] : '';
 $mttestimonialsslugbox = strip_tags($mttestimonialsslugbox); //sanitise output
 $mttestimonialsslugbox2 = (isset($options['mttestimonialsslugbox_template2'])) ? $options['mttestimonialsslugbox_template2'] : '';
 $mttestimonialsslugbox2 = strip_tags($mttestimonialsslugbox2); //sanitise output
?>
<p>
    <label><?php _e('Testimonial Single Slug Name', 'mttestimonials');?></label>
 <input type="text" id="mttestimonialsslugbox_template" name="mt_testimonialssettings_options[mttestimonialsslugbox_template]" value="<?php echo $mttestimonialsslugbox; ?>" /></p> 

<?php
}



// Hook into the 'init' action
add_action('init', 'create_mt_testi_post');  


/**
 * Testimonials Post Type.
 */
function create_mt_testi_post() { 

	$options = get_option('mt_testimonialssettings_options');
 	$mttestimonialsslugbox = (isset($options['mttestimonialsslugbox_template'])) ? $options['mttestimonialsslugbox_template'] : '';
 	$mttestimonialsslugbox = strip_tags($mttestimonialsslugbox); //sanitise output	

	$labels = array(
		'name'                => _x( 'Testimonials', 'Post Type General Name', 'mttestimonials' ), 
		'singular_name'       => _x( 'Testimonial', 'Post Type Singular Name', 'mttestimonials' ),
		'menu_name'           => __( 'Testimonials', 'mttestimonials' ),
		'parent_item_colon'   => __( 'Parent Item:', 'mttestimonials' ),
		'all_items'           => __( 'All Testimonials', 'mttestimonials' ),
		'view_item'           => __( 'View Testimonial', 'mttestimonials' ),
		'add_new_item'        => __( 'Add New Testimonial', 'mttestimonials' ),
		'add_new'             => __( 'Add New', 'mttestimonials' ),
		'edit_item'           => __( 'Edit Testimonial', 'mttestimonials' ),
		'update_item'         => __( 'Update Testimonial', 'mttestimonials' ),
		'search_items'        => __( 'Search Testimonials', 'mttestimonials' ),
		'not_found'           => __( 'Not found', 'mttestimonials' ),
		'not_found_in_trash'  => __( 'Not found in Trash', 'mttestimonials' ),
	);
	$args = array(
		'label'               => __( 'testimonials', 'mttestimonials' ),
		'description'         => __( 'Add testimonials to your website.', 'mttestimonials' ), 
		'labels'              => $labels,
		'supports' 			  => array('title','editor','thumbnail'),
		'taxonomies'          => array( 'thumbnail', 'category' ),
		'hierarchical'        => false,
		'menu_icon' 		  => 'dashicons-testimonial',
		'rewrite' => array('slug' => $mttestimonialsslugbox),  
		'public'              => true, 
		'show_ui'             => true,
		'show_in_menu'        => true, 
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 46,
		'can_export'          => true,
		'has_archive'         => false,
		'exclude_from_search' => true,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'testimonial', $args );

}


$testimonialsfields = array( 
	array(
            'label' => __('Full Name', 'mttestimonials'),
            'desc' => __('The name of the person responsible for the testimonial.', 'mttestimonials'), 
            'id' => 'mt-full-name', 
            'type' => 'text', 
            'std' => ""
        ),
	array(
            'label' => __('Title and/or Company', 'mttestimonials'),
            'desc' => __('What they do and/or the company they work for.', 'mttestimonials'), 
            'id' => 'mt-title-company',
            'type' => 'text', 
            'std' => ""
        ), 
	 
);


/**
 * Instantiate the class with all variables to create a meta box
 * var $id string meta box id
 * var $title string title
 * var $fields array fields
 * var $page string|array post type to add meta box to 
 * var $js bool including javascript or not
 */

$mt_testimonials_box = new mt_testimonials_Add_Meta_Box( 'mt_testimonials_box', __('Testimonials Info', 'mttestimonials'), $testimonialsfields, 'testimonial', true ); 